:root {
  --global-font-size: 16px;
  --global-bg: #fff;
  --font-color: #4c4948;
  --light-grey: #eee;
  --scrollbar-color: var(--naokuo-scrollbar);
  --naokuo-card-bg-none: rgba(255, 255, 255, 0);
  --white: #fff;
  --naokuo-bar-background: var(--naokuo-meta-theme-color);
  --naokuo-theme: var(--naokuo-main);
  --naokuo-lighttext: var(--naokuo-main);
  --naokuo-white: var(--white);
}

[data-theme=light] {
  --global-bg: #f7f9fe;
  --naokuo-fontcolor: #363636;
  --naokuo-scrollbar: rgba(60, 60, 67, 0.4);
  --naokuo-secondtext: rgba(60, 60, 67, 0.8);
  --naokuo-secondbg: #f7f7f9;
  --naokuo-card-bg: #fffef9;
  --naokuo-meta-theme-color: #f7f9fe;
  --naokuo-main: #0a6e65;
  --naokuo-theme-op: #0a6e6523;
  --naokuo-theme-op-deep: #0a6e65dd;
}

[data-theme=dark] {
  --global-bg: #0d0d0d;
  --naokuo-fontcolor: #f7f7fa;
  --naokuo-scrollbar: rgba(200, 200, 223, 0.4);
  --naokuo-secondtext: #a1a2b8;
  --naokuo-secondbg: #21232a;
  --naokuo-card-bg: #1d1e22;
  --naokuo-meta-theme-color: #000;
  --naokuo-main: #f2b94b;
  --naokuo-theme-op: #f2b94b23;
  --naokuo-theme-op-deep: #f2b94bdd;
  --font-color: rgba(255, 255, 255, 0.7);
}

a {
  text-decoration: none;
}

ul {
  list-style-type: none;
}

::-webkit-scrollbar {
  display: none;
}

* {
  scrollbar-width: thin;
  scrollbar-color: var(--scrollbar-color) transparent
}

html {
  line-height: 1.15;
  -webkit-text-size-adjust: 100%
}

@keyframes fadeOut {
  0% {
    opacity: 1
  }

  100% {
    opacity: 0
  }
}

html:hover::-webkit-scrollbar-thumb {
  animation: fadeOut 1s 1s forwards
}

body {
  margin: 0;
  padding: 0;
  overflow-x: clip;
  overscroll-behavior: none
}

main {
  display: block
}

* {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box
}

@font-face {
  font-family: alimm2024;
  font-display: swap;
  src: url(https://font.onmicrosoft.cn/naokuo-blog@1.0.17/fontsdest/AlimamaDongFangDaKai-Regular.woff2) format("woff2"),
    url(https://font.onmicrosoft.cn/naokuo-blog@1.0.17/fontsdest/AlimamaDongFangDaKai-Regular.woff) format("woff");
  font-weight: 400
}

body {
  position: relative;
  min-height: 100%;
  background: var(--global-bg);
  color: var(--font-color);
  font-size: var(--global-font-size);
  font-family: alimm2024, "Hiragino Sans GB", "Microsoft YaHei", sans-serif;
  line-height: 2;
  -webkit-tap-highlight-color: transparent
}

#body-wrap {
  display: -webkit-box;
  display: -moz-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: box;
  display: flex;
  -webkit-box-orient: vertical;
  -moz-box-orient: vertical;
  -o-box-orient: vertical;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  min-height: 100vh;
  -webkit-box-pack: justify;
  -moz-box-pack: justify;
  -o-box-pack: justify;
  -ms-flex-pack: justify;
  -webkit-justify-content: space-between;
  justify-content: space-between
}

/* 信息 */
.content {
  width: 80%;
  height: auto;
  margin: 0 auto;
  text-align: center;
  line-height: 2;
  border-radius: 10px;
  display: flex;
  flex-direction: column;
}

/* 个人信息 */
/* .author,
.yiyan {
  color: var(--naokuo-fontcolor);
} */

.author {
  font-size: 4.5rem;
}

/* 一言 */
.yiyan {
  font-size: 1.5rem;
}

/* 页脚 */
#footer {
  position: relative;
  background-image: -webkit-linear-gradient(270deg, var(--naokuo-card-bg-none) 0, var(--naokuo-card-bg) 25%);
  background-image: -moz-linear-gradient(270deg, var(--naokuo-card-bg-none) 0, var(--naokuo-card-bg) 25%);
  background-image: -o-linear-gradient(270deg, var(--naokuo-card-bg-none) 0, var(--naokuo-card-bg) 25%);
  background-image: -ms-linear-gradient(270deg, var(--naokuo-card-bg-none) 0, var(--naokuo-card-bg) 25%);
  background-image: linear-gradient(180deg, var(--naokuo-card-bg-none) 0, var(--naokuo-card-bg) 25%);
  background-attachment: scroll;
  background-size: cover
}

@media screen and (max-width: 768px) {
  #footer {
    z-index: 3;
    margin-top: -1px
  }

  .author {
    font-size: 2.5rem;
  }

  .yiyan {
    font-size: 1rem;
  }

  #body-wrap {
    margin-top: 100px;
  }
}

#footer-bar {
  padding: 1rem;
  color: var(--naokuo-fontcolor);
  margin-top: 1rem;
  background: var(--naokuo-secondbg);
  display: -webkit-box;
  display: -moz-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: box;
  display: flex;
  overflow: hidden;
  z-index: 1002;
  -webkit-transition: .3s;
  -moz-transition: .3s;
  -o-transition: .3s;
  -ms-transition: .3s;
  transition: .3s
}

#footer-bar a:hover {
  color: var(--naokuo-lighttext)
}

#footer-bar .footer-bar-link {
  margin-top: 8px;
  margin-bottom: 8px;
  margin-right: 1rem;
  color: var(--naokuo-fontcolor);
  font-size: 1rem;
  font-weight: 700;
  white-space: nowrap
}

#footer-bar .footer-bar-link.cc i {
  margin-right: .7rem;
  font-size: 18px
}

#footer-bar .footer-bar-links {
  display: -webkit-box;
  display: -moz-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: box;
  display: flex;
  -webkit-box-pack: justify;
  -moz-box-pack: justify;
  -o-box-pack: justify;
  -ms-flex-pack: justify;
  -webkit-justify-content: space-between;
  justify-content: space-between;
  max-width: 1400px;
  width: 100%;
  margin: 0 auto;
  -webkit-box-lines: multiple;
  -moz-box-lines: multiple;
  -o-box-lines: multiple;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-align: center;
  -moz-box-align: center;
  -o-box-align: center;
  -ms-flex-align: center;
  -webkit-align-items: center;
  align-items: center;
  line-height: 1
}

#footer-bar .footer-bar-links .footer-bar-left {
  display: -webkit-box;
  display: -moz-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: box;
  display: flex;
  -webkit-box-lines: multiple;
  -moz-box-lines: multiple;
  -o-box-lines: multiple;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  min-height: 32px;
  -webkit-box-align: center;
  -moz-box-align: center;
  -o-box-align: center;
  -ms-flex-align: center;
  -webkit-align-items: center;
  align-items: center
}

#footer-bar .footer-bar-links .footer-bar-right {
  display: -webkit-box;
  display: -moz-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: box;
  display: flex;
  -webkit-box-orient: horizontal;
  -moz-box-orient: horizontal;
  -o-box-orient: horizontal;
  -webkit-flex-direction: row;
  -ms-flex-direction: row;
  flex-direction: row;
  -webkit-box-lines: multiple;
  -moz-box-lines: multiple;
  -o-box-lines: multiple;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-align: center;
  -moz-box-align: center;
  -o-box-align: center;
  -ms-flex-align: center;
  -webkit-align-items: center;
  align-items: center
}

#footer-wrap {
  position: relative;
  padding: 40px 20px 0;
  color: var(--light-grey);
  text-align: center
}

@media screen and (max-width: 768px) {
  #footer-wrap {
    padding: 0
  }
}

#footer-wrap #footer_deal {
  -webkit-box-pack: center;
  -moz-box-pack: center;
  -o-box-pack: center;
  -ms-flex-pack: center;
  -webkit-justify-content: center;
  justify-content: center;
  display: -webkit-box;
  display: -moz-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: box;
  display: flex;
  -webkit-box-align: center;
  -moz-box-align: center;
  -o-box-align: center;
  -ms-flex-align: center;
  -webkit-align-items: center;
  align-items: center
}

@media screen and (max-width: 768px) {
  #footer-wrap #footer_deal {
    -webkit-box-lines: multiple;
    -moz-box-lines: multiple;
    -o-box-lines: multiple;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-orient: horizontal;
    -moz-box-orient: horizontal;
    -o-box-orient: horizontal;
    -webkit-flex-direction: row;
    -ms-flex-direction: row;
    flex-direction: row
  }
}

#footer-wrap #footer_deal .deal_link {
  display: -webkit-box;
  display: -moz-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: box;
  display: flex;
  margin: 1rem 27px;
  color: var(--naokuo-card-bg);
  border-radius: 3rem;
  width: 32px;
  height: 32px;
  background: var(--naokuo-fontcolor);
  -webkit-box-pack: center;
  -moz-box-pack: center;
  -o-box-pack: center;
  -ms-flex-pack: center;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-box-align: center;
  -moz-box-align: center;
  -o-box-align: center;
  -ms-flex-align: center;
  -webkit-align-items: center;
  align-items: center;
  -webkit-transition: .3s;
  -moz-transition: .3s;
  -o-transition: .3s;
  -ms-transition: .3s;
  transition: .3s
}

#footer-wrap #footer_deal .deal_link:hover {
  color: var(--naokuo-white);
  background: var(--naokuo-main)
}

#footer-wrap #footer_deal .footer_mini_logo {
  width: 50px;
  height: 50px;
  object-fit: cover;
  border-radius: 50%;
  margin: 0 1rem;
  cursor: pointer;
  -webkit-transition: cubic-bezier(0, 0, 0, 1.29) .5s;
  -moz-transition: cubic-bezier(0, 0, 0, 1.29) .5s;
  -o-transition: cubic-bezier(0, 0, 0, 1.29) .5s;
  -ms-transition: cubic-bezier(0, 0, 0, 1.29) .5s;
  transition: cubic-bezier(0, 0, 0, 1.29) .5s;
  -webkit-user-select: none;
  user-select: none
}

@media screen and (max-width: 768px) {
  #footer-wrap #footer_deal .footer_mini_img {
    display: none
  }
}

#footer-wrap #naokuo-footer {
  display: -webkit-box;
  display: -moz-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: box;
  display: flex;
  -webkit-box-orient: horizontal;
  -moz-box-orient: horizontal;
  -o-box-orient: horizontal;
  -webkit-flex-direction: row;
  -ms-flex-direction: row;
  flex-direction: row;
  width: 100%;
  max-width: 1200px;
  margin: 1rem auto;
  -webkit-box-pack: justify;
  -moz-box-pack: justify;
  -o-box-pack: justify;
  -ms-flex-pack: justify;
  -webkit-justify-content: space-between;
  justify-content: space-between;
  -webkit-box-lines: multiple;
  -moz-box-lines: multiple;
  -o-box-lines: multiple;
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  padding: 0 2rem
}

#footer-wrap #naokuo-footer .footer-group {
  min-width: 120px
}

#footer-wrap #naokuo-footer .footer-group .footer-title-group {
  display: -webkit-box;
  display: -moz-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: box;
  display: flex;
  -webkit-box-align: center;
  -moz-box-align: center;
  -o-box-align: center;
  -ms-flex-align: center;
  -webkit-align-items: center;
  align-items: center
}

#footer-wrap #naokuo-footer .footer-group .footer-title-group a {
  margin-left: 8px;
  line-height: 32px
}

#footer-wrap #naokuo-footer .footer-group .footer-title-group i {
  line-height: 1;
  color: var(--naokuo-secondtext);
  -webkit-transition: .3s;
  -moz-transition: .3s;
  -o-transition: .3s;
  -ms-transition: .3s;
  transition: .3s;
  font-size: 16px;
  opacity: .6
}

#footer-wrap #naokuo-footer .footer-title {
  color: var(--naokuo-secondtext);
  font-size: 1rem;
  text-align: left;
  font-weight: 600;
  margin: 1rem 0
}

#footer-wrap #naokuo-footer .footer-links {
  display: -webkit-box;
  display: -moz-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: box;
  display: flex;
  -webkit-box-orient: vertical;
  -moz-box-orient: vertical;
  -o-box-orient: vertical;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column
}

#footer-wrap #naokuo-footer .footer-item {
  font-size: 1rem;
  line-height: 1rem;
  margin: 8px 0;
  color: var(--naokuo-fontcolor);
  margin-right: auto;
  overflow: hidden;
  white-space: nowrap;
  -o-text-overflow: ellipsis;
  text-overflow: ellipsis;
  max-width: 120px;
  cursor: pointer;
  padding: 2px 0;
  text-decoration: none
}

#footer-wrap #naokuo-footer .footer-item:hover {
  color: var(--naokuo-theme)
}

#footer-wrap a {
  color: var(--light-grey)
}

#footer-wrap i {
  font-size: 1rem;
  line-height: 1rem;
  height: 1rem
}

#footer-wrap .footer-separator {
  margin: 0 4px
}

#footer-wrap .icp-icon {
  padding: 0 4px;
  max-height: 1.4em;
  width: auto;
  vertical-align: text-bottom
}

@media screen and (max-width: 768px) {
  [data-theme=light] .post #footer {
    background: -webkit-linear-gradient(270deg, var(--naokuo-background) 0, var(--naokuo-card-bg) 25%);
    background: -moz-linear-gradient(270deg, var(--naokuo-background) 0, var(--naokuo-card-bg) 25%);
    background: -o-linear-gradient(270deg, var(--naokuo-background) 0, var(--naokuo-card-bg) 25%);
    background: -ms-linear-gradient(270deg, var(--naokuo-background) 0, var(--naokuo-card-bg) 25%);
    background: linear-gradient(180deg, var(--naokuo-background) 0, var(--naokuo-card-bg) 25%)
  }
}

/* 夜间粒子 */
[data-theme=dark] #universe {
  display: block;
  position: fixed;
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  z-index: 1
}

canvas#universe {
  display: none
}

/* 昼间四季飘落效果canvas */
[data-theme="light"] #canvas_sakura {
  display: block;
  position: fixed;
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  z-index: 1;
}

[data-theme="dark"] #canvas_sakura {
  display: none;
}